Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.matlab
Class JMatLinkJDK13

public class JMatLinkJDK13
implements JMatLinkInterface

Constructor Summary
`JMatLinkJDK13()`

Method Summary
`void` | `engClose(Integer engineId)`
`void` | `engClose()`
`void` | `engEvalString(Integer engineId, String script)`
`double[][]` | `engGetArray(String arrayS)`
`double[][]` | `engGetArray(Integer engineId, String arrayS)`
`double[]` | `engGetVector(String arrayS)`
`double[]` | `engGetVector(Integer engineId, String arrayS)`
`Integer` | `engOpen()`
`Integer` | `engOpenSingleUse()`
`String` | `engOutputBuffer()`
`String` | `engOutputBuffer(Integer engineId)`
`String` | `getErrorMessage()`

Constructor Detail

### JMatLinkJDK13

    public JMatLinkJDK13()
                    throws java.lang.Exception

Method Detail

### engClose

    public void engClose(Integer engineId)
                   throws java.lang.Exception

### engClose

    public void engClose()
                   throws java.lang.Exception

### engEvalString

    public void engEvalString(Integer engineId, String script)
                        throws java.lang.Exception

### engGetArray

    public double[][] engGetArray(String arrayS)

### engGetArray

    public double[][] engGetArray(Integer engineId, String arrayS)

### engGetVector

    public double[] engGetVector(String arrayS)

### engGetVector

    public double[] engGetVector(Integer engineId, String arrayS)

### engOpen

    public Integer engOpen()
                     throws java.lang.Exception

### engOpenSingleUse

    public Integer engOpenSingleUse()
                              throws java.lang.Exception

### engOutputBuffer

    public String engOutputBuffer()
                            throws java.lang.Exception

### engOutputBuffer

    public String engOutputBuffer(Integer engineId)
                            throws java.lang.Exception

### getErrorMessage

    public String getErrorMessage()
                            throws java.lang.Exception

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM